pub struct DmModule {
    pub namespace: DmNamespace,
}

pub enum NamespaceVisibility {
    Public,
    Partial {
        visible_to_fqns: Vec<String>
    },
    Private
}

pub struct DmNamespace {
    pub name: String,
    pub dependencies: Vec<String>,
    pub visibility: NamespaceVisibility
}
